Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.model
Class ProvidersLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.emf.ecp.internal.ui.model.ECPLabelProvider
                      org.eclipse.emf.ecp.internal.ui.model.ProvidersLabelProvider

All Implemented Interfaces:
  ECPModelContextProvider, IECPLabelProvider, InternalElementRegistry.ResolveListener<InternalProvider>, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.IColorProvider, org.eclipse.jface.viewers.ILabelProvider

    public class ProvidersLabelProvider

extends ECPLabelProvider
implements org.eclipse.jface.viewers.IColorProvider, InternalElementRegistry.ResolveListener<InternalProvider>

Author:
  Eike Stepper

Constructor Summary
`ProvidersLabelProvider()`

Method Summary
`void` | `descriptorChanged(InternalDescriptor<InternalProvider> descriptor, boolean resolved)`
`void` | `dispose()`
`org.eclipse.swt.graphics.Color` | `getBackground(Object element)`
`org.eclipse.swt.graphics.Color` | `getForeground(Object element)`
`org.eclipse.swt.graphics.Image` | `getImage(Object element)`
`String` | `getText(Object element)`

Methods inherited from class org.eclipse.emf.ecp.internal.ui.model.ECPLabelProvider
`getModelContext, getModelContextProvider, getUIProvider, setModelContextProvider`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, isLabelProperty, removeListener`

Constructor Detail

### ProvidersLabelProvider

    public ProvidersLabelProvider()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Overrides:
    `dispose` in class `org.eclipse.jface.viewers.BaseLabelProvider`

### descriptorChanged

    public void descriptorChanged(InternalDescriptor<InternalProvider> descriptor,
                                  boolean resolved)
                           throws Exception

  Specified by:
    `descriptorChanged` in interface `InternalElementRegistry.ResolveListener<InternalProvider>`
  Throws:
    `Exception`

### getText

    public String getText(Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `ECPLabelProvider`

### getImage

    public org.eclipse.swt.graphics.Image getImage(Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getImage` in class `ECPLabelProvider`

### getForeground

    public org.eclipse.swt.graphics.Color getForeground(Object element)

  Specified by:
    `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`

### getBackground

    public org.eclipse.swt.graphics.Color getBackground(Object element)

  Specified by:
    `getBackground` in interface `org.eclipse.jface.viewers.IColorProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.